GET /v1/payment_intents

stripe.com

Summary:
Operation ID: GetPaymentIntents
Auth: unknown
Description

<p>Returns a list of PaymentIntents.</p>

Parameters (6)

created (?, query, optional)

A filter on the list, based on the object `created` field. The value can be a string with an integer Unix timestamp, or it can be a dictionary with a number of different query options.

customer (string, query, optional)

Only return PaymentIntents for the customer specified by this customer ID.

Constraints: {'maxLength': 5000}

ending_before (string, query, optional)

A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.

Constraints: {'maxLength': 5000}

expand (array, query, optional)

Specifies which fields in the response should be expanded.

limit (integer, query, optional)

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after (string, query, optional)

A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.

Constraints: {'maxLength': 5000}

No probe data for this endpoint yet.